package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuRelatorioHistoricoCompras extends DefaultItemMenuSistema {
	
	public ItemMenuRelatorioHistoricoCompras() {
		super("indexController.mniRelatorioHistoricoCompras.label");
	}
	
	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_HISTORICO_COMPRAS;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/relatorios/filtroRelatorioHistoricoCompras.zul",
				Labels.getLabel("relatorioHistoricoComprasController.window.title"), getArgs(), desktop);
		
	}
}
